Bug 41693 - setgid (mail) for procmail shuld be back
setgid (mail) for procmail shuld be back
Product: Red Hat Linux
Classification: Retired
Component: procmail (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-05-21 16:54 EDT by Łukasz Trąbiński
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-21 16:54:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Łukasz Trąbiński 2001-05-21 16:54:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.5-pre3 i586)

Description of problem:
Setgid flag to /usr/bin/procmail should be back.

How reproducible:

Steps to Reproduce:
1. Install procmail from RH 7.1
2. Install postfix from RH 7.1 powertools (instead sendmail)
3. Try to send mail to new created user (which one has not own mailbox
in /var/spool/mail/$user)

Actual Results:  As You know, postfix is running as user mail (not root)

<test@hq.nawigator.pl>: can't create user output file. Command output:
    procmail: Couldn't create "/var/spool/mail/test" procmail: Lock failure
on "/var/spool/mail/test.lock" procmail: Error while writing to

/var/spool/mail/test didn't exisit before delivered this mail

Additional info:

To fix this problem chmod g+s /usr/bin/procmail. 

Sorry for my borken english. :(
Comment 1 Trond Eivind Glomsrxd 2001-05-21 17:03:07 EDT
The procmail code isn't auditable, the setgid flag is not going back on: We
don't trust it.

Comment 2 Trond Eivind Glomsrxd 2001-06-03 23:57:51 EDT
*** Bug 43365 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.